View Issue Details

IDProjectCategoryView StatusLast Update
16431Bug reportsTheme editorpublic2020-07-06 13:21
Reportercdorin Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.1 
Summary16431: Overview of un-installed themes shows incorrectly parsed theme description - LS4
Description

Same issue as 15890 but for LS4

Additional Information

Thanks @Mazi for report

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

gabrieljenik

gabrieljenik

2020-07-02 00:17

partner   ~58625

For uninstalled themes, the description was taken directly from the config metadata directly. No parsing done.

Added templateManifest::getDescription() method for parsing descriptions on XML file.
This is now used on the view.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1463

sushmanadendla

sushmanadendla

2020-07-02 14:07

manager   ~58646

Tested the issue by pulling the PR. The description of uninstalled themes is properly displayed.
Please refer the screenshot for more details

guest

guest

2020-07-03 10:58

viewer   ~58673

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30246

lime_release_bot

lime_release_bot

2020-07-06 13:21

administrator   ~58709

Fixed in Release 4.3.3+200707

Related Changesets

LimeSurvey: master 0b1f8c05

2020-07-03 10:58:47

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16431: Overview of uninstalled themes shows incorrectly parsed theme description (#1463)

Dev: New templateManifest::getDescription() method for parsing descriptions on XML file. This is now used on the view.
Affected Issues
16431
mod - application/models/TemplateManifest.php Diff File
mod - application/views/admin/themeoptions/index.php Diff File

Issue History

Date Modified Username Field Change
2020-06-25 22:37 cdorin New Issue
2020-06-25 22:37 cdorin Status new => confirmed
2020-06-25 22:37 cdorin Description Updated View Revisions
2020-07-02 00:17 gabrieljenik Note Added: 58625
2020-07-02 14:07 sushmanadendla Note Added: 58646
2020-07-02 14:07 sushmanadendla File Added: 16431_Themesuninstall_Parseddescription.png
2020-07-03 10:58 gabrieljenik Changeset attached => LimeSurvey master 0b1f8c05
2020-07-03 10:58 guest Note Added: 58673
2020-07-03 11:03 ollehar Status confirmed => resolved
2020-07-03 11:03 ollehar Resolution open => fixed
2020-07-06 13:21 lime_release_bot Note Added: 58709
2020-07-06 13:21 lime_release_bot Status resolved => closed